vgp.tutor.gui

## Class PaDisplayOverlay

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - java.awt.Panel
      - - java.applet.Applet
        - - jv.project.PvApplet
          - - vgp.tutor.gui.PaDisplayOverlay

- All Implemented Interfaces:
    java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.lang.Runnable, javax.accessibility.Accessible, PsUpdateIf

      public class PaDisplayOverlay
      extends PvApplet
      implements PsUpdateIf

  Applet shows usage of external overlay canvas inside a JavaView display.
  See Also:
    `PuColorBarCanvas`, Serialized Form
  Author:
    Konrad Polthier
  Version:
    07.05.17, 2.00 revised (kp) New superclass jv.project.PvApplet.
    10.03.15, 1.00 created (mn)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.BaselineResizeBehavior`

  - ### Field Summary

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PaDisplayOverlay()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAppletInfo()` Interface of applet to inform about author, version, and copyright
    `PsUpdateIf` | `getFather()` Get parent and do nothing else.
    `PjProject` | `getProject()` Return a new allocated project instance.
    `java.awt.Rectangle` | `getSizeOfFrame()` Return a new allocated project instance.
    `static void` | `main(java.lang.String[] args)` Standalone application support.
    `void` | `run()` Configure and initialize the viewer, load system and user projects.
    `void` | `setParent(PsUpdateIf parent)` Set parent and do nothing else.
    `boolean` | `update(java.lang.Object event)` Event handling method in the update mechanism.

    - ### Methods inherited from class jv.project.PvApplet

      `destroy, drawMessage, getDisplay, getViewer, init, main, paint, startFromThread, stop`

    - ### Methods inherited from class java.applet.Applet

      `getAccessibleContext, getAppletContext, getAudioClip, getAudioClip, getCodeBase, getDocumentBase, getImage, getImage, getLocale, getParameter, getParameterInfo, isActive, isValidateRoot, newAudioClip, play, play, resize, resize, setStub, showStatus, start`

    - ### Methods inherited from class java.awt.Panel

      `addNotify`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getInsets, getLayout, getListeners, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, remove, remove, removeAll, removeContainerListener, removeNotify, setComponentZOrder, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, setLayout, transferFocusDownCycle, update, validate`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, dispatchEvent, enable, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocusInWindow, reshape, revalidate, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setMinimumSize, setName, setPreferredSize, setSize, setSize, setVisible, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface jv.object.PsUpdateIf

      `getName`

- - ### Constructor Detail

    - #### PaDisplayOverlay

          public PaDisplayOverlay()

  - ### Method Detail

    - #### getAppletInfo

          public java.lang.String getAppletInfo()

      Interface of applet to inform about author, version, and copyright
      Specified by:
        `getAppletInfo` in class `PvApplet`

    - #### getSizeOfFrame

          public java.awt.Rectangle getSizeOfFrame()

      Return a new allocated project instance.
      Overrides:
        `getSizeOfFrame` in class `PvApplet`

    - #### getProject

          public PjProject getProject()

      Return a new allocated project instance.
      Specified by:
        `getProject` in class `PvApplet`

    - #### run

          public void run()

      Configure and initialize the viewer, load system and user projects. One of the user projects must be selected here.
      Specified by:
        `run` in interface `java.lang.Runnable`
      Overrides:
        `run` in class `PvApplet`

    - #### getFather

          public PsUpdateIf getFather()

      Get parent and do nothing else.

      Historical note: previous to Java 1.1 this method was called getParent() in JavaView, but in Java 1.1 a method with same name was introduced in java.awt.Component which prevented us to continue to this method in any of our subclasses of AWT components. In order to be consistent, the JavaView method getParent() was replaced with getFather() everywhere. Since that time JavaView uses the pair setParent/getFather, and lives quite well with that.

      Specified by:
        `getFather` in interface `PsUpdateIf`
      See Also:
        `setParent(jv.object.PsUpdateIf)`, `update(Object)`

    - #### setParent

          public void setParent(PsUpdateIf parent)

      Set parent and do nothing else. Method is implemented by PsObject and PsPanel, and should be called if overwritten.
      Specified by:
        `setParent` in interface `PsUpdateIf`
      Parameters:
        `parent` - will receive events which `this` does not handle
      See Also:
        `getFather()`, `update(Object)`

    - #### update

          public boolean update(java.lang.Object event)

      Event handling method in the update mechanism. Events not handled will be passed to m_parent or super in this sequence.
      Specified by:
        `update` in interface `PsUpdateIf`
      Parameters:
        `event` - carries a lot of information
      Returns:
        true if event has been handled, otherwise false
      See Also:
        `PsObject`, `getFather()`, `setParent(jv.object.PsUpdateIf)`

    - #### main

          public static void main(java.lang.String[] args)

      Standalone application support. The main() method acts as the applet's entry point when it is run as a standalone application. It is ignored if the applet is run from within an HTML page.

"

The software JavaView? is copyright protected. All Rights Reserved.
"